bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#22025: Emacs 25 corrupts Emacs 24 .emacs.desktop.


From: Eli Zaretskii
Subject: bug#22025: Emacs 25 corrupts Emacs 24 .emacs.desktop.
Date: Tue, 01 Dec 2015 17:43:13 +0200

> Date: Tue, 1 Dec 2015 12:19:41 +0000
> Cc: address@hidden
> From: Alan Mackenzie <address@hidden>
> 
> OK, here is a patch.  It introduces a customizable variable,
> `desktop-version-strategy' which specifies in which version (206 or 208),
> the desktop file should be saved.  Until that variable is set to non-nil,
> the user is prompted each time the desktop is loaded.  She is given the
> opportunity at that time to customize it immediately via a `yes-or-no-p'.

Thanks.  I'd ask Juanma to review the patch, but I have a comment on
this design: is it really a good idea to nag the user with these
questions?  This will happen to every single Emacs user once they
upgrade to Emacs 25.1.  Do we really want that?

How about the following strategy instead: by default always save in
backward compatible way, and give the user a command (or a prefix
argument to desktop-save, perhaps) to switch to the new format?  I
think this will be nicer to our users, and will also save us
yet-another defcustom.

WDYT?





reply via email to

[Prev in Thread] Current Thread [Next in Thread]